Subject: bug#39938: 28.0.50; icalendar.el does not understand "first friday of every month"

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 27 Oct 2020 10:53:27 +0100

"Mark A. Hershberger" <[email-masked]> writes:

> Entry in my notes.org file contains the following note indicating the
> event is the first friday of every month:
>
>     ** Monthly meeting
>     :PROPERTIES:
>     … elided …
>     :RRULE:    FREQ=MONTHLY;INTERVAL=1;BYDAY=1FR
>     … elided …
>     :END:
>
>       <2019-07-05 11:30-12:30 +1m>
>
> This matches the RRULE line I see when I “View source” on the event in
> Zimbra.
>
> Zimbra shows the date correctly as happening on Friday, 2020-03-06.
>
> When I got my agenda for today (Thursday, 2020-03-05) from org-agenda,
> it showed the event happening today.

Looking at the code (and the tests), it should understand these BYDAY
clauses.  Do you have a complete .ical file that icalendar doesn't parse
correctly?  That'd help with debugging.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no